Ubuntu

NM fails to connect Wi-Fi; dhclient works -- Intel Centrino Wireless-N 1000 iwlwifi

Reported by jerrylamos on 2012-06-25
40
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Wireless WPA fails to "automatically connect" even though "enable wireless" is on when rebooting.

Systems Settings Network is blank where it should have the network name. That's a bug.

Correctly says wired network is unplugged.

Network Applet Edit Connections says wired connection last used 5 minutes ago. Has not been plugged in since yesterday. That's a bug.

Network Applet Edit Connections says wireless connection last used 2 hours ago. Not true, last used 5 minutes ago. That's a bug.

Selecting Network Applet Edit Connections Wireless Security tab should ask for pathword authorization to set/change password. It does not. That's a bug.

What the Wireless Security tab does is just sit there for a couple minutes then (60 to 120 seconds) the menu appears. All the correct data is already there. Save, close. No changes made.

Wireless WPA still does not connect even though it was running before reboot. "connect automatically" does not. That's a bug.

Systems Settings Network still shows no network name while network applit edit connections shows the correct name.
Why don't they both show the same network name? That's a bug.

After 20 minutes, it suddenly does show the network name. Some time after that the wireless WPA connects.

No new information was used. It already had network name, security type, and password when it rebooted. "cinnect automatically" does not. That's a bug.

Any clue what to do to "automatically connect"? This is a "Regression" since Precise works very usably on the same hardware.

Jerry

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: network-manager 0.9.4.0+git201206081144.2efeac8-0ubuntu1
ProcVersionSignature: Ubuntu 3.5.0-1.1-generic 3.5.0-rc3
Uname: Linux 3.5.0-1-generic i686
ApportVersion: 2.2.5-0ubuntu1
Architecture: i386
Date: Mon Jun 25 18:39:51 2012
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120625)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
---
ApportVersion: 2.3-0ubuntu4
Architecture: i386
DistroRelease: Ubuntu 12.10
IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120708.1)
IpRoute:
 default via 192.168.0.1 dev wlan0 proto static
 169.254.0.0/16 dev wlan0 scope link metric 1000
 192.168.0.0/24 dev wlan0 proto kernel scope link src 192.168.0.7 metric 9
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
Package: network-manager 0.9.4.0+git201206081144.2efeac8-0ubuntu1
PackageArchitecture: i386
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.5.0-4.4-generic 3.5.0-rc6
Tags: quantal running-unity
Uname: Linux 3.5.0-4-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 db29e980-6d85-4cd3-8f83-c4252d4f3755 802-3-ethernet 1342096724 Thu 12 Jul 2012 08:38:44 AM EDT yes no /org/freedesktop/NetworkManager/Settings/1
 LAUREL 28dda2b6-dcd4-4a4d-8b33-6d4d1d9d99b5 802-11-wireless 1342097083 Thu 12 Jul 2012 08:44:43 AM EDT yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 wlan0 802-11-wireless connected /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.4.0 connected enabled enabled enabled enabled disabled

jerrylamos (jerrylamos) wrote :
Thomas Hood (jdthood) on 2012-06-26
summary: - quantal 25 June fails to connect to wireless WPA
+ NM fails to connect to wireless WPA -- Quantal 25 June

Hi Jerry. Thanks for the bug reports.

You could be even more helpful if you would split your information up into distinct issues. For each issue, search the existing bug reports; if you find that the issue has already been reported then add your information there, otherwise open a new report for that issue.

> Wireless WPA fails to "automatically connect" even
> though "enable wireless" is on when rebooting.

Which hardware should be automatically configured and with what kind of network should it be connected?

> Systems Settings Network is blank where it should
> have the network name. That's a bug.

That's gnome-control-center, not NM.

> Network Applet Edit Connections says wired connection
> last used 5 minutes ago. Has not been plugged in
> since yesterday. That's a bug. Network Applet
> Edit Connections says wireless connection last used
> 2 hours ago. Not true, last used 5 minutes ago.
> That's a bug.

Hmm, does nm-connection-editor confuse the wired and wireless interfaces? ! That certainly deserves its own bug report.

> Selecting Network Applet Edit Connections Wireless Security tab should ask for pa[ss]word authorization to set/change password. It does not. That's a bug.

Or else the behavior you describe is a feature request.

> What the Wireless Security tab does is just sit there
> for a couple minutes then (60 to 120 seconds) the menu
> appears. All the correct data is already there. Save, close.
> No changes made.

In another report can you please give the exact sequence of user actions that leads to this phenomenon?

> Systems Settings Network still shows no network
> name while network applit edit connections shows
> the correct name. Why don't they both show the same
> network name? That's a bug.

Yep, report it.

> After 20 minutes, it suddenly does show the network name.
> Some time after that the wireless WPA connects.
> No new information was used. It already had network name,
> security type, and password when it rebooted.
> "connect automatically" does not. That's a bug.

There have been a few reports recently of NM taking a very long time at startup to start working.

Shall we make this the topic of the present bug report (#1017738), that it takes twenty minutes for NM to show ESSIDs?

Thomas Hood (jdthood) wrote :

>> Systems Settings Network still shows no network
>> name while network applit edit connections shows
>> the correct name. Why don't they both show the same
>> network name? That's a bug.
>
> Yep, report it.

I found this existing report: bug #875663 "nm-indicator and network settings contradict". The submitter writes:

> It took me one day to find out that there now
> is a "Network" icon in the system settings tool.
> This is new. It has an "on/off"-switch. The switch
> was set to "off". Turning it "on" fixed the autoconnect.

Does this help you at all?

jerrylamos (jerrylamos) wrote :

3.5.0-2 kernel is in today's install results much better.

One boot from shutdown, "disconnected" then 2 min later nothing
System Settings Network selected blank line
25 seconds later the network name appeared
35 seconds later connected
Total time to connect 4 minutes.

Another boot from shutdown,
"disconnecterd"
35 seconds later automatically "connected"

This is on Acer Aspire 1 netbook with Intel Corporation Centrino Wireless-N 1000

About half the time connects automatically, the other half not, but does respond sluggishly to network settings.

I'd say mark the bug as resolved with 3.5.0-2.

Do note I've got a Acer Aspire 5153 wide screen notebook I forget the network controller which has been connecting within seconds amd64 3.5.0-1 O.K. so the difficulty had something to do with the Centrino on 3.5.0-1.

Anyway, mark resolved if difficulty shows up again I'll try to capture the relevant information for another bug.

BTW, 27 June (A2?) i386 running very well for an Alpha.

Jerry

Thomas Hood (jdthood) wrote :

I don't understand. You say it takes 35 seconds to 4 minutes to connect, and you want to close the report? Taking even 35 seconds to connect is unacceptable unless you have an unusually slow DHCP server or something.

jerrylamos (jerrylamos) wrote :

Being able to connect at all was an improvement over Quantal Alpha versions last week.
With A2 on Acer Aspire 1 netbook 1.66 gHz
Intel Corporation Centrino Wireless-N 1000
today cold start waited for 2 minutes then manually selected network applet, this time full 12 line menu appeared, selected connect to hidden wireless, selected Connection sat there for 20 seconds later it responded with the network name, selected that and did in fact connect a few seconds later.

In contrast took 30 seconds from cold start on Acer Aspire 5253 on the same wireless WPA network with
Broadcom BCM43225 802.11/b/g/n
messages:
Wireless disconnected
Wireless networks available
Wireless connected

no manual intervention required. No idea why it just didn't connect instead of giving all the messages. On restart reboot (no power off) network became active in seconds.

The contrast between the two on the same network is quite striking. On Broadcom select a menu item on network Quantal responds to the mouse selection,

on Intel I have to patiently wait to see if the mouse selection was heard at all. Quantal feeling like XP where there is no indication that a selection was being acted on until some time later.

Any way to track down the very sluggish Quantal kernel 3.5.0-2 response with Intel compared to the quick 3.5.0-2 response with Broadcom? I've Precise available in another partition for comparison.

With the Alpha code last week it was a dead fight to get the Centrino to connect at all, now it does reluctantlyy.

Thanks for your attention.

Jerry

Please reboot, get Wi-Fi connected, then run "apport-collect 1017738" to submit information about your machine.

summary: - NM fails to connect to wireless WPA -- Quantal 25 June
+ NM fails to connect Wi-Fi -- Intel Centrino Wireless-N 1000
Changed in network-manager (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Download full text (3.2 KiB)

Did the apport-collect as requested. Note upstream says when they receive the authenticate from Ubuntu the kernel connects with no problem. As in the dmesg excerpt below, Ubuntu should have issued the authenticate at time 52 but did not. At time 371 I gave up waiting and connected manually to the hidden network, WPA security.

Following the dmesg is a syslog excerpt showing a similar gap between time 40:06 and 44:29

Do note this is a regression, booting Ubuntu 12.04 from another partition has no trouble.

Looks like the last thing on dmesg at time 52 is something about Nautilus doing a connect to the USB hard drive. No idea why it does that, I haven't even started the file manager, but I am booted from the USB hard drive.

[ 52.829382] EXT3-fs (sdb1): using internal journal
[ 52.829394] EXT3-fs (sdb1): mounted filesystem with ordered data mode
[ 371.631148] wlan0: authenticate with 00:0f:b3:b0:d6:3c
[ 371.645129] wlan0: send auth to 00:0f:b3:b0:d6:3c (try 1/3)
[ 371.646771] wlan0: authenticated
[ 371.647274] wlan0: waiting for beacon from 00:0f:b3:b0:d6:3c
[ 371.737042] wlan0: associate with 00:0f:b3:b0:d6:3c (try 1/3)
[ 371.741159] wlan0: RX AssocResp from 00:0f:b3:b0:d6:3c (capab=0x431 status=0 aid=1)
[ 371.741170] wlan0: associated
[ 371.743859] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

Jul 12 08:39:12 Aspire1 kernel: [ 52.829382] EXT3-fs (sdb1): using internal journal
Jul 12 08:39:12 Aspire1 kernel: [ 52.829394] EXT3-fs (sdb1): mounted filesystem with ordered data mode
Jul 12 08:39:13 Aspire1 udisksd[1542]: Mounted /dev/sdb7 at /run/media/jerry/LiveB7 on behalf of uid 1000
Jul 12 08:39:13 Aspire1 udisksd[1542]: Mounted /dev/sdb1 at /run/media/jerry/Q0627 on behalf of uid 1000
Jul 12 08:39:25 Aspire1 goa[1757]: goa-daemon version 3.5.3 starting [main.c:112, main()]
Jul 12 08:40:06 Aspire1 dbus[723]: [system] Activating service name='org.freedesktop.UDisks' (using servicehelper)
Jul 12 08:40:06 Aspire1 dbus[723]: [system] Successfully activated service 'org.freedesktop.UDisks'
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) starting connection 'LAUREL'
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Activation (wlan0/wireless): connection 'LAUREL' has security, and secrets exist. No new secrets ne
eded.
Jul 12 08:44:29 Aspire1 NetworkManager[840]: <info> Config: add...

Read more...

Thomas Hood (jdthood) on 2012-07-12
summary: - NM fails to connect Wi-Fi -- Intel Centrino Wireless-N 1000
+ NM fails to connect Wi-Fi -- Intel Centrino Wireless-N 1000 iwlwifi
Thomas Hood (jdthood) on 2012-08-13
Changed in network-manager (Ubuntu):
status: Incomplete → New

Updated as of 8/12/2012 still fails to connect to wireless WPA. Wait minutes, nothing happens.
Using System Settings, click through several menus with big pauses, click connect, takes about 40 seconds to connect.

Workaround:
Boot, doesn't connect automatically, open terminal
sudo dhclient wlan0
wait 5 seconds, Ctrl-c
goes right ahead and connects.
Much much faster and much less keystrokes than System Settings or right click on network applet.

dmesg shows authenticate being issued as soon as Ctrl-c issued. Kernel then goes right ahead and connects.

Jerry

Thomas Hood (jdthood) wrote :

@jerrylamos: Does it help if you create a file /etc/modprobe.d/iwlwifi-disable11n.conf with the contents

    options iwlwifi 11n_disable=1

and then reboot?

summary: - NM fails to connect Wi-Fi -- Intel Centrino Wireless-N 1000 iwlwifi
+ NM fails to connect Wi-Fi; dhclient works -- Intel Centrino Wireless-N
+ 1000 iwlwifi
Changed in network-manager (Ubuntu):
status: New → Incomplete
Thomas Hood (jdthood) wrote :

Most likely a driver problem

affects: network-manager (Ubuntu) → linux (Ubuntu)
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc3-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing regression-release
Joseph Salisbury (jsalisbury) wrote :

Also, it would be helpful to know the results of the test requested in comment #21.

jerrylamos (jerrylamos) wrote :

I have tested the upstream kernel before. Their analysis as soon as their kernel got the "authienticate" or connect or whatever the proper term is from quantal they connected right away. That is very evident in the dmesg and syslogs.

I can try the upstream kernel again. Is there any way to tell in ubuntu why ubuntu isn't asking for the wlan WPA connect? Well, sometimes I see a "disconnect" message when the desktop comes up, I've no clue on why it is disconnecting. I do sudo dhclient wlan0, enter password, waut a few seconds, Ctrl-c and it connects right away.

Let me try the suggestion in comment #21.

If no improvement I'll try the upstream kernel again. Other than the work, that's no problem, it's just a delay for bugzilla and someone in Debian development to look at the bug again.

Thanks for looking at the bug. Jerry

jerrylamos (jerrylamos) wrote :

With comment #21, once connected O.K. once did not connect, but sudo dhclient and it did. Most tries it does not connect automatically and I do a sudo dhclient wlan0, Ctrl-c. Here's an excerpt from a dmesg showing "link is not ready" at the bottom. I wonder if there's a race condition between two sections of code. example trying to connect before WPA encryption key is processed. Will attach whole dmesg.

Is there some kind of trace that would be useful? Let me look for the upstream kernel mentioned above

Jerry

[ 21.914378] iwlwifi 0000:02:00.0: loaded firmware version 39.31.5.1 build 35138
[ 21.915034] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEBUG disabled
[ 21.915047] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEBUGFS enabled
[ 21.915054] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEVICE_TRACING enabled
[ 21.915061] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_DEVICE_TESTMODE enabled
[ 21.915068] iwlwifi 0000:02:00.0: CONFIG_IWLWIFI_P2P disabled
[ 21.915076] iwlwifi 0000:02:00.0: Detected Intel(R) Centrino(R) Wireless-N 1000 BGN, REV=0x6C
[ 21.915182] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 21.968091] iwlwifi 0000:02:00.0: device EEPROM VER=0x15d, CALIB=0x6
[ 21.968103] iwlwifi 0000:02:00.0: Device SKU: 0x50
[ 21.968112] iwlwifi 0000:02:00.0: Valid Tx ant: 0x1, Valid Rx ant: 0x3
[ 21.968157] iwlwifi 0000:02:00.0: Tunable channels: 13 802.11bg, 0 802.11a channels
[ 21.970517] Registered led device: phy0-led
[ 21.970614] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom r
egulatory domain
[ 21.991715] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom r
egulatory domain
[ 21.991727] cfg80211: World regulatory domain updated:
[ 21.991731] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[ 21.991738] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 21.991744] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[ 21.991750] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 20
00 mBm)
[ 21.991757] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 21.991763] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[ 22.011502] microcode: CPU1 sig=0x106ca, pf=0x4, revision=0x0
[ 22.020558] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 22.109005] microcode: Microcode Update Driver: v2.00 <email address hidden>, Peter Oruba
[ 22.174440] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 22.255029] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 22.321514] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready

jerrylamos (jerrylamos) wrote :

Just tried 3.6.0-030600rc3-generic same behavior. Note the suggestion for comment #21 is still in.
Last time I tried Cebian upstream kernel same behavior too, though that was probably Alpha 1 time.

[ 23.094874] iwlwifi 0000:02:00.0: Detected Intel(R) Centrino(R) Wireless-N 1000 BGN, REV=0x6C
[ 23.094981] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 23.149676] iwlwifi 0000:02:00.0: device EEPROM VER=0x15d, CALIB=0x6
[ 23.149690] iwlwifi 0000:02:00.0: Device SKU: 0x10
[ 23.149700] iwlwifi 0000:02:00.0: Valid Tx ant: 0x1, Valid Rx ant: 0x3
[ 23.160364] Registered led device: phy0-led
[ 23.160583] cfg80211: Ignoring regulatory request Set by core since the driver uses its own custom regulatory domain
[ 23.165907] type=1400 audit(1346355123.598:6): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/mission-control-5" pid=815 comm="appa
rmor_parser"
[ 23.177809] type=1400 audit(1346355123.610:7): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/telepathy-*" pid=815 comm="apparmor_p
arser"
[ 23.194523] type=1400 audit(1346355123.626:8): apparmor="STATUS" operation="profile_load" name="/usr/lib/telepathy/telepathy-*//sanitized_helper" pid=81
5 comm="apparmor_parser"
[ 23.249321] microcode: Microcode Update Driver: v2.00 <email address hidden>, Peter Oruba
[ 23.270279] type=1400 audit(1346355123.702:9): apparmor="STATUS" operation="profile_load" name="/usr/lib/cups/backend/cups-pdf" pid=822 comm="apparmor_parser"
[ 23.272162] type=1400 audit(1346355123.706:10): apparmor="STATUS" operation="profile_load" name="/usr/sbin/cupsd" pid=822 comm="apparmor_parser"
[ 23.321483] type=1400 audit(1346355123.754:11): apparmor="STATUS" operation="profile_load" name="/usr/bin/evince" pid=811 comm="apparmor_parser"
[ 23.332625] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[ 23.370543] atl1c 0000:01:00.0: irq 45 for MSI/MSI-X
[ 23.385996] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 23.433410] snd_hda_intel 0000:00:1b.0: irq 46 for MSI/MSI-X
[ 23.437938] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 23.449909] iwlwifi 0000:02:00.0: Radio type=0x0-0x0-0x3
[ 23.502463] iwlwifi 0000:02:00.0: L1 Disabled; Enabling L0S
[ 23.513176] iwlwifi 0000:02:00.0: Radio type=0x0-0x0-0x3
[ 23.576372] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
jerrylamos (jerrylamos) wrote :

Since this bug's expired I'll open a new one for Raring since the problem still exists on my two notebooks. On this Acer Aspire 1 netbook nearly always fails to connect to security WPA. On Acer Aspire 5253 wide screen notebook fairly erratic on connecting.

Thomas Hood (jdthood) wrote :

You can just set the status of this report back to New.

jerrylamos (jerrylamos) wrote :

I put raring ubuntu-bug data into bug #1073907. External results are the same, there is some difference in the syslog.

Changed in linux (Ubuntu):
status: Expired → Confirmed
Marius B. Kotsbak (mariusko) wrote :

What you could try is to boot on a Quantal live cd image to verify that it is not something strange in your installation.

Also it would be interesting to know if a 3.5/3.6/3.7 mainline kernels work better. There are packages available. Read more here:

https://wiki.ubuntu.com/Kernel/MainlineBuilds

Marius B. Kotsbak (mariusko) wrote :

>Network Applet Edit Connections Wireless Security tab should ask for authorization to set/change password. It does not. That's a bug.

I assume this is a user connection then. For editing system connections, a sudo prompt should pop up.

jerrylamos (jerrylamos) wrote :

Marius, I've tried upstream Debian kernel. Same problem.
Analysis from upstream was when the authentication was presented to the kernel, the kernel connected no problem right away.
This is evident in the syuslogs where the syslog shows once the authentication request gets around to being issued, connection goes normally.

Precise works fine. It's not an installation problem. If it was installation then Precise would have the same problem. It does not. Do note, the Network Manager used by Precise is not the same as Quantal.

The problem does occur with Quantal CD live, and has since the first daily builds that I can remember, and also with Raring.

The following syslog lines shows wlan0 is ready but then nm disconnects it?? Why? Why is "available" a reason to disconnect?

Oct 31 19:30:18 Aspire1 NetworkManager[888]: <info> (wlan0): supplicant interface state: starting -> ready
Oct 31 19:30:18 Aspire1 NetworkManager[888]: <info> (wlan0): device state change: unavailable -> disconnected (reason 'supplicant-available') [20 30 42]
Oct 31 19:30:18 Aspire1 NetworkManager[888]: <warn> Trying to remove a non-existant call id.
Oct 31 19:30:18 Aspire1 NetworkManager[888]: <info> (wlan0): supplicant interface state: ready -> inactive
Oct 31 19:30:18 Aspire1 NetworkManager[888]: <info> (wlan0) supports 5 scan SSIDs

Thanks for any ideas. Jerry

jerrylamos (jerrylamos) wrote :

Real thrash getting NM to finally (!) connect to wireless WPA security today.

sudo dhclient wlan0 no luck at all.

nm applet edit connections no luck at all.

systems settings > nm drop down window cannot enter name of the network for over a minute. At 1.5 MB/S what on earth is nm waiting for? Thrash around nm drop downs and nm eventually decides to try to connect which goes through fine, first try.

Attached is syslog showing my many attempts to get nm to function.

jerrylamos (jerrylamos) wrote :

Boot today with Raring NM all kinds of thrash with system settings > network to finally get connected. Attached is syslog showing network manager complaining about all kinds of problems which really don't exist since everything is all ready set saved and connects immediately once network manager stops complaining about stuff I don't understand.

quantal also has trouble connecting but raring has a lot more and takes a lot longer to connect. Regressin.

Of course Precise connects right away no problem.

How do I tell network manager to stop complaining and just go ahead and connect?

Thanks much for any ideas.

jerrylamos (jerrylamos) wrote :

Syslog from Precise connected fine when desktop booted up.

Why can't Raring do the same thing?

jerrylamos (jerrylamos) wrote :

Raring Regression vs. Quantal..
On quantal, nm disconnects as described above, I could do sudo dhclient and wait 5 seconds, Ctrl-c, connect. Does not work on Raring.

Raring much worse. I have to crawl thru systems settings > network takes minutes on end staring at un-responive drop down windows until randomly nm wakes up puts the saved network name and WPA security, finally issues it which connects right away.
Why does network refuse to enter keystrokes into the drop down boxes??

Raring going backwards on network WPA connect.

Any suggestions on how to get network to connect?

jerrylamos (jerrylamos) wrote :

Raring booted up, had already been updated to Nov 15.
Hidden wireless WPA security did not connect automatically although it is marked to do so.
Sysetems Settings > Network keyed the network name on the entry area. Nothing shows in the Network Name area.
Four minutes later! finally the previously saved data shows
Twenty five seconds later connects on first try.

What is network manager doing for four minutes? There are entries in syslog attached.

jerrylamos (jerrylamos) wrote :

Workaround since this bug is even worse with 3.7.0-3:
Startup Applications
Add
Title: Connect
command: ~/wl

where wl is

#!/bin/bash
sudo iwconfig wlan0 essid LAUREL
sudo dhclient wlan0
exit 0

Has worked O.K. for three boots so far.

Why can't Ubuntu issue the iwconfig??

jerrylamos, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
jerrylamos (jerrylamos) wrote :

This bug is still present on latest Saucy Salamander 3.11.0-3.
On the same WPA encrypted network:
Precise on the same hardware boots up and connects automatically.
Nook HD+ boots up and connects autmatically even faster.
Asus Transformer TF101 boots up and connects automatically.
Samsung Galaxy Tab 2 7" boots up and connects automatically.
Boot Saucy and it "Disconnects" automatically.
1. Select internet applet.
2, Select connect to hidden wireless network.
3. Drop down window to show the networks.
4. Select the only network listed which Saucy had stored already.
5. Select connect to network.
Note, did not have to enter the network name, Ubuntu had it already.
Note, did not have to enter the encryption key, Ubuntu had it already.
Why did network manager decide not to use the info it had? Has to be a policy decision since it used to work.
Five manual mouse actions to do what Ubuntu's competition does automatically, and much faster.
Oh, on two different pc's same trouble. Ubuntu used to connect automatically, now it disconnects automatically.
Perhaps it might be worthwhile for ubuntu to look how easily the competition works....
BTW, I have tried the upstream kernel. Debian Development says their kernel has no problem, it authenticates as soon as Ubuntu asks it to.
Crawling through the syslogs etc. Saucy kernel authenticates as soon as it is asked to.
Saucy Network Manager tries to connect without using the key, of course it doesn't work, decides the network is out of range, it is not. Network Manager already has the key, knows it has the key, then and decides not to use it. ??

tags: added: needs-bisect saucy
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
jerrylamos (jerrylamos) wrote :

Bug still present on saucy. Ubuntu network manager policy is not user friendly -
Precise connected fairly quickly after power up to wireless WPA encrypted network.
Nook connects immediately on power up to wireless WPA encrypted network.
Chromebook connects immediately on power up to wireless WPA encrypted network.
Samsung Galaxy Tab 2 connects immediately on power up to wireless WPA encrypted network.

What is the reason Ubuntu network manager changed their policy of connecting right away like all these other products?

BTW, problem also occurs on my notebook and tower with Ubuntu only.

To post a comment you must log in.